Subject: bug#8267: Acknowledgement (unexec FIXME in src/emacs.c)

From: Ken Brown <[email-masked]>
Date: Thu, 17 Mar 2011 15:01:01 -0400

On 3/17/2011 2:45 PM, Paul Eggert wrote:
> On 03/17/2011 11:02 AM, Ken Brown wrote:
>> On 3/17/2011 12:54 PM, Paul Eggert wrote:
>>> I've committed a patch for this in bzr103679.
>>
>> In unexec.h you declare unexec() to return void, but in several of the unexec*.c files it has a return type of int.
>
> Thanks for catching that.  I didn't notice that, since I built
> on an implementation where it returns void.  I changed the
> other implementations to match the new header (bzr 103680).

OK, but your change removes a lot of "returns" that shouldn't be 
removed.  I think the function should still return in those places; it's 
just that it shouldn't return a value.